# ---------- WaitMotorTest.py : fr FishFa30.py -------------------------------------------    
#  Taster an E1
#  Motor an M3 mit Impulstaster an E6, Endtaster an E5
#  Motor an M4 mit Impulstaster an E8, Endtaster an E7

from FishFa30 import *

print "------ FishFace : Wait- und Motor-Test ------"
ft = FishFace()
try:
  ft.OpenInterface("COM2")

  print "WaitForChange : 3 x E7 druecken und loslassen"
  ft.WaitForChange(7, 6)
  print "WaitForInput : E1 druecken"
  ft.WaitForInput(1)
  print "WaitForHigh : 7 druecken"
  ft.WaitForHigh(7)
  print "WaitForLow : E1 druecken"
  ft.WaitForLow(1)
  print "WaitforPositionDown : 3x E7 druecken"
  Zahler = 6
  IstPos = ft.WaitForPositionDown(7,Zahler,0)
  print "IstPosition : ", IstPos
  print "WaitForPositionUp : mit Motorkraft 24 Impulse"
  ft.SetMotor(3, 1, 7)
  IstPos = ft.WaitForPositionUp(6, Zahler, 24)
  ft.SetMotor(3,0)
  print "IstPosition : ", IstPos
  print "Motor an M4 faehrt 50 links und Motor an M3 40 rechts"
  ft.SetMotor(4,ft.Links,8,50)
  ft.SetMotor(3,ft.Rechts,15,40)
  while (ft.WaitForMotors(100, [4, 3]) == ft.Time):
    print ft.GetCounter(6), ft.GetCounter(8)    

except FishFaceException:
  print "FishFace Fehler"
print "------- FishFace beendet -------"
ft.CloseInterface()

